<?php
/**
 * The default template for displaying standard post format
 */

$post_class = '';
$featured = get_query_var( 'windazo_featured_disabled' );
if ( function_exists( 'FW' ) AND empty ( $featured ) ) {

	$featured_post = fw_get_db_post_option(get_The_ID(), 'featured');
	if ( !empty($featured_post) ) {

		$post_class = 'ltx-featured-post-none';
	}
}

?>
<article id="post-<?php the_ID(); ?>" <?php post_class( esc_attr($post_class) ); ?>>
	<?php 

		if ( has_post_thumbnail() ) {

			$windazo_photo_class = 'photo';
        	$windazo_layout = get_query_var( 'windazo_layout' );

			$windazo_image_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_The_ID()), 'full' );

			if ($windazo_image_src[2] > $windazo_image_src[1]) $windazo_photo_class .= ' vertical';
			
		    echo '<a href="'.esc_url(get_the_permalink()).'" class="'.esc_attr($windazo_photo_class).'">';

	    	if ( empty($windazo_layout) OR $windazo_layout == 'classic'  ) {

	    		the_post_thumbnail();
	    	}
	    		else
	    	if ( $windazo_layout == 'two-cols'  ) {	    	

	    		the_post_thumbnail();
	    	}
	    		else {


				$sizes_hooks = array( 'windazo-blog', 'windazo-blog-full' );
				$sizes_media = array( '1199px' => 'windazo-blog' );

				windazo_the_img_srcset( get_post_thumbnail_id(), $sizes_hooks, $sizes_media );
    		}

		    echo '</a>';

		}
	?>
    <div class="description">
    	<?php

    		windazo_get_the_post_headline();
    		
    	?>
        <a href="<?php esc_url( the_permalink() ); ?>" class="header"><h3><?php the_title(); ?></h3></a>
        <?php

       		$windazo_display_excerpt = 'visible';
        ?>
        <div class="text text-page">
			<?php
				add_filter( 'the_content', 'windazo_excerpt' );

			    	the_excerpt();			    	

			    echo '<a href="'.esc_url( get_the_permalink() ).'" class="more-link">'.esc_html__( 'Read more', 'windazo' ).'</a>';
			?>
        </div>            
    </div>    
</article>